Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class RenderingError

    java.lang.Object
      javax.media.j3d.RenderingError

    public class RenderingError

extends java.lang.Object

RenderingError is a container object that holds the details of a runtime error that occurs in the Java 3D rendering system.

Since:
  Java 3D 1.5

Field Summary
`static int` | `CONTEXT_CREATION_ERROR` Indicates that an error occurred while creating an OpenGL or D3D graphics context.
`static int` | `GRAPHICS_CONFIG_ERROR` Indicates that an error occurred while getting the best graphics configuration or while testing whether a given graphics config is supported.
`static int` | `NO_ERROR` Indicates that no error occurred.
`static int` | `OFF_SCREEN_BUFFER_ERROR` Indicates a error in creating a rendering buffer for an off-screen Canvas3D.
`static int` | `UNEXPECTED_RENDERING_ERROR` Indicates that an unexpected rendering exception was caught by the Java 3D renderer thread.

Constructor Summary
`RenderingError()` Constructs a new RenderingError object indicating no error.
`RenderingError(int errorCode, java.lang.String errorMessage)` Constructs a new RenderingError object with the given error code and message.

Method Summary
`Canvas3D` | `getCanvas3D()` Returns the canvas associated with this rendering error.
`java.lang.String` | `getDetailMessage()` Returns the detail message for this rendering error.
`int` | `getErrorCode()` Returns the error code for this rendering error.
`java.lang.String` | `getErrorMessage()` Returns the error message for this rendering error.
`java.awt.GraphicsDevice` | `getGraphicsDevice()` Returns the graphics device associated with this rendering error.
`void` | `printVerbose()` Prints a verbose error report to System.err.
`void` | `printVerbose(java.io.PrintStream printStream)` Prints a verbose error report to the specified PrintStream.
`void` | `setCanvas3D(Canvas3D canvas)` Sets the canvas associated with this rendering error.
`void` | `setDetailMessage(java.lang.String detailMessage)` Sets the detail message for this rendering error.
`void` | `setErrorCode(int errorCode)` Sets the error code for this rendering error.
`void` | `setErrorMessage(java.lang.String errorMessage)` Sets the error message for this rendering error.
`void` | `setGraphicsDevice(java.awt.GraphicsDevice graphicsDevice)` Sets the graphics device associated with this rendering error.
`java.lang.String` | `toString()` Returns a short string that describes this rendering error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_ERROR

    public static final int NO_ERROR

  Indicates that no error occurred.

  See Also:
    Constant Field Values

### UNEXPECTED_RENDERING_ERROR

    public static final int UNEXPECTED_RENDERING_ERROR

  Indicates that an unexpected rendering exception was caught by the Java 3D renderer thread.

  See Also:
    Constant Field Values

### GRAPHICS_CONFIG_ERROR

    public static final int GRAPHICS_CONFIG_ERROR

  Indicates that an error occurred while getting the best graphics configuration or while testing whether a given graphics config is supported.

  See Also:
    Constant Field Values

### CONTEXT_CREATION_ERROR

    public static final int CONTEXT_CREATION_ERROR

  Indicates that an error occurred while creating an OpenGL or D3D graphics context. This can happen either when querying the Canvas3D properties or when rendering.

  See Also:
    Constant Field Values

### OFF_SCREEN_BUFFER_ERROR

    public static final int OFF_SCREEN_BUFFER_ERROR

  Indicates a error in creating a rendering buffer for an off-screen Canvas3D.

  See Also:
    Constant Field Values

Constructor Detail

### RenderingError

    public RenderingError()

  Constructs a new RenderingError object indicating no error. The error code is set to `NO_ERROR`. All other fields are initialized to null, including the error message.

### RenderingError

    public RenderingError(int errorCode,
                          java.lang.String errorMessage)

  Constructs a new RenderingError object with the given error code and message. All other fields are initialized to null.

  Parameters:
    `errorCode` - the error code for this rendering error.
    `errorMessage` - a short error message describing this rendering error.

Method Detail

### printVerbose

    public void printVerbose()

  Prints a verbose error report to System.err. This verbose output includes the error code, error message, detail message, and all relevant Java 3D objects.

### printVerbose

    public void printVerbose(java.io.PrintStream printStream)

  Prints a verbose error report to the specified PrintStream. This verbose output includes the error code, error message, detail message, and all relevant Java 3D objects.

  Parameters:
    `printStream` - the print stream on which to print the error report.

### setErrorCode

    public void setErrorCode(int errorCode)

  Sets the error code for this rendering error. This represents the type of error that occurred.

  Parameters:
    `errorCode` - the error code for this rendering error.

### getErrorCode

    public int getErrorCode()

  Returns the error code for this rendering error.

  Returns:
    the error code.

### setErrorMessage

    public void setErrorMessage(java.lang.String errorMessage)

  Sets the error message for this rendering error. This is a short message describing the error, and is included as part of toString().

  Parameters:
    `errorMessage` - a short error message describing this rendering error.

### getErrorMessage

    public java.lang.String getErrorMessage()

  Returns the error message for this rendering error.

  Returns:
    a short error message describing this rendering error.

### setDetailMessage

    public void setDetailMessage(java.lang.String detailMessage)

  Sets the detail message for this rendering error. This is a more detailed error message that is not included as part of toString().

  Parameters:
    `detailMessage` - a detailed message describing this error in more detail.

### getDetailMessage

    public java.lang.String getDetailMessage()

  Returns the detail message for this rendering error.

  Returns:
    the detail message for this rendering error.

### setGraphicsDevice

    public void setGraphicsDevice(java.awt.GraphicsDevice graphicsDevice)

  Sets the graphics device associated with this rendering error.

  Parameters:
    `graphicsDevice` - the graphics device associated with this rendering error.

### getGraphicsDevice

    public java.awt.GraphicsDevice getGraphicsDevice()

  Returns the graphics device associated with this rendering error.

  Returns:
    the graphics device associated with this rendering error.

### setCanvas3D

    public void setCanvas3D(Canvas3D canvas)

  Sets the canvas associated with this rendering error.

  Parameters:
    `canvas` - the canvas associated with this rendering error.

### getCanvas3D

    public Canvas3D getCanvas3D()

  Returns the canvas associated with this rendering error.

  Returns:
    the canvas associated with this rendering error.

### toString

    public java.lang.String toString()

  Returns a short string that describes this rendering error. The string is composed of the textual description of the errorCode, a ": ", and the errorMessage field. If the errorMessage is null then the ": " and the errorMessage are omitted.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this rendering error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.